--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: redirect?
- !ruby/object:RI::MethodSummary 
  name: successful?
comment: 
- !ruby/struct:SM::Flow::P 
  body: Represents HTTP response status code. Defines constants for HTTP response and some conditional methods.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: OK
  value: "200"
- !ruby/object:RI::Constant 
  comment: 
  name: CREATED
  value: "201"
- !ruby/object:RI::Constant 
  comment: 
  name: ACCEPTED
  value: "202"
- !ruby/object:RI::Constant 
  comment: 
  name: NON_AUTHORITATIVE_INFORMATION
  value: "203"
- !ruby/object:RI::Constant 
  comment: 
  name: NO_CONTENT
  value: "204"
- !ruby/object:RI::Constant 
  comment: 
  name: RESET_CONTENT
  value: "205"
- !ruby/object:RI::Constant 
  comment: 
  name: PARTIAL_CONTENT
  value: "206"
- !ruby/object:RI::Constant 
  comment: 
  name: MOVED_PERMANENTLY
  value: "301"
- !ruby/object:RI::Constant 
  comment: 
  name: FOUND
  value: "302"
- !ruby/object:RI::Constant 
  comment: 
  name: SEE_OTHER
  value: "303"
- !ruby/object:RI::Constant 
  comment: 
  name: TEMPORARY_REDIRECT
  value: MOVED_TEMPORARILY = 307
- !ruby/object:RI::Constant 
  comment: 
  name: BAD_REQUEST
  value: "400"
- !ruby/object:RI::Constant 
  comment: 
  name: UNAUTHORIZED
  value: "401"
- !ruby/object:RI::Constant 
  comment: 
  name: PROXY_AUTHENTICATE_REQUIRED
  value: "407"
- !ruby/object:RI::Constant 
  comment: 
  name: INTERNAL
  value: "500"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Status codes for successful HTTP response.
  name: SUCCESSFUL_STATUS
  value: "[       OK, CREATED, ACCEPTED,       NON_AUTHORITATIVE_INFORMATION, NO_CONTENT,       RESET_CONTENT, PARTIAL_CONTENT"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Status codes which is a redirect.
  name: REDIRECT_STATUS
  value: "[       MOVED_PERMANENTLY, FOUND, SEE_OTHER,       TEMPORARY_REDIRECT, MOVED_TEMPORARILY"
full_name: HTTP::Status
includes: []

instance_methods: []

name: Status
superclass: 
